# User Audit Log

`GET /userauditlog.list`

## Description

Get a list of user audit log entries for the account.

**Access:** Organization only.

**Required scope:** `userauditlog:read`

---

**OpenAPI Spec:** [chat.json](https://developer.ro.am/chat.json)

## Authentication

```
Authorization: Bearer YOUR_API_KEY
```

## Parameters

| Name | In | Type | Required | Description |
|------|-----|------|----------|-------------|
| `date` | query | string | No | The date to pull audit log entries from.  All activities from that date in UTC are returned.  |

## Responses

### 200 - Audit log entries retrieved successfully

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `auditLogs` | UserAuditLog[] | No |  |

**UserAuditLog** (array item):

| Property | Type | Required | Description |
|----------|------|----------|-------------|
| `timestamp` | string | No | Time at which the audit log entry occurred (UTC) |
| `eventType` | string | No | Type of the audit event |
| `name` | string | No | Name of the user associated with this event |
| `email` | string | No | Email address of the user associated with this event |
| `data` | object | No | JSON payload containing event type specific data, such as chat recipients or which room was knocked on |


#### Example Response

```json
{
  "auditLogs": [
    {
      "timestamp": "2026-01-21T07:59:59.199Z",
      "eventType": "ENTER_ROOM",
      "name": "Alex Chen",
      "email": "alex.chen@example.com",
      "data": {
        "location": {
          "kind": "RoomLocation",
          "roomId": 266,
          "positionNumber": 3
        }
      }
    },
    {
      "timestamp": "2026-01-21T07:58:30.000Z",
      "eventType": "LEAVE_ROOM",
      "name": "Jordan Smith",
      "email": "jordan.smith@example.com",
      "data": {
        "location": {
          "kind": "RoomLocation",
          "roomId": 215,
          "positionNumber": 14
        }
      }
    },
    {
      "timestamp": "2026-01-21T07:55:00.000Z",
      "eventType": "ENTER_ROOM",
      "name": "Taylor Williams",
      "email": "taylor@example.com",
      "data": {
        "location": {
          "kind": "AudienceLocation",
          "roomId": 215,
          "sectionNumber": 0,
          "positionNumber": 46
        }
      }
    }
  ]
}
```

### 400 - Invalid request, e.g. date not provided.

### 401 - Unauthorized.

### 500 - An internal error occured.

---

*Machine-readable API documentation.*
*Full documentation: https://developer.ro.am/docs/chat-api/userauditlog-list*
